﻿<%@ Page Title="" Language="C#" MasterPageFile="~/View/MasterForm.Master" AutoEventWireup="true"
    CodeBehind="TDSQuarterlyReturns.aspx.cs" Inherits="EasyTDS.View.TDSQuarterlyReturns" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">

    <script type="text/javascript">

        window.ht = "490"
        window.wd = "550"
        // //window.title="title"
        document.documentElement.style.overflowX = "hidden"
        document.documentElement.style.overflowY = "hidden"

        function MDI_Load() {
            //Add user code here

        }
        function MDI_Close() {
            //Add user code here
            //alert(MDI.id)
            return true;
        }  
   
    </script>

</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <asp:UpdatePanel ID="UpdatePanel1" runat="server">
        <ContentTemplate>
            <hlp:ActionMessage ID="ActionMessage1" runat="server" />
            <div style="height: 400px; overflow: auto">
                <table>
                    <tr>
                        <td style="padding-right: 15px" colspan="2">
                            <asp:Label ID="lblBranch" runat="server" Text="Select TAN "></asp:Label>
                            <telerik:RadComboBox ID="cboBranch" Width="85%" runat="server" AutoPostBack="true" OnSelectedIndexChanged="cboBranch_SelectedIndexChanged">
                            </telerik:RadComboBox>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2">
                            <div class="RadGridCtr" style="height: 320px">
                                <telerik:RadGrid EnableLinqExpressions="false" ID="dgData" runat="server" AllowPaging="false"
                                    AllowSorting="True" AutoGenerateColumns="False" GridLines="None" GroupingEnabled="False"
                                    Skin="Vista" Height="99%" Width="97%" OnNeedDataSource="dgData_NeedDataSource"
                                    FooterStyle-Font-Bold="true" AllowMultiRowEdit="true" FooterStyle-Font-Size="Small">
                                    <PagerStyle Mode="NextPrevAndNumeric" PageButtonCount="5" PagerTextFormat="Change page: {4} &amp;nbsp;({0}/{1})&amp;nbsp;&amp;nbsp;Total records : {5}" />
                                    <MasterTableView ClientDataKeyNames="Id" TableLayout="Fixed" EditMode="InPlace" AutoGenerateColumns="false">
                                        <RowIndicatorColumn Visible="false">
                                            <HeaderStyle Width="20px" />
                                        </RowIndicatorColumn>
                                        <ExpandCollapseColumn>
                                            <HeaderStyle Width="20px" />
                                        </ExpandCollapseColumn>
                                        <Columns>
                                            <telerik:GridBoundColumn DataField="DisplayName" HeaderText="" UniqueName="DisplayName">
                                                <HeaderStyle Width="60%" />
                                            </telerik:GridBoundColumn>
                                            <telerik:GridBoundColumn DataField="DisplayValue" HeaderText="" UniqueName="DisplayValue">
                                                <HeaderStyle Width="35%" />
                                            </telerik:GridBoundColumn>
                                            <telerik:GridBoundColumn DataField="ShowBold" HeaderText="" UniqueName="ShowBold"
                                                Display="false">
                                                <HeaderStyle Width="0%" />
                                            </telerik:GridBoundColumn>
                                        </Columns>
                                    </MasterTableView>
                                    <ClientSettings AllowDragToGroup="True" AllowGroupExpandCollapse="False" AllowKeyboardNavigation="True">
                                        <Selecting AllowRowSelect="True" />
                                        <ClientEvents />
                                        <Scrolling AllowScroll="True" ScrollHeight="180px" UseStaticHeaders="True" />
                                        <Resizing AllowColumnResize="True" />
                                    </ClientSettings>
                                </telerik:RadGrid>
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <asp:Label ID="lblQuarter" runat="server" Text="Select Quarter"></asp:Label>
                        </td>
                        <td>
                            <telerik:RadComboBox ID="ddlQuarter" runat="server" AutoPostBack="false" Width="250px"
                                OnClientSelectedIndexChanged="OnClientSelectedIndexChanged">
                                <Items>
                                    <telerik:RadComboBoxItem Text="Quarter 1 (April-June)" Value="Q1" />
                                    <telerik:RadComboBoxItem Text="Quarter 2 (July-September)" Value="Q2" />
                                    <telerik:RadComboBoxItem Text="Quarter 3 (October-December)" Value="Q3" />
                                    <telerik:RadComboBoxItem Text="Quarter 4 (January-March)" Value="Q4" />
                                </Items>
                            </telerik:RadComboBox>
                        </td>
                    </tr>
                    <tr class="chkProvision">
                        <td colspan="2">
                            <asp:Label runat="server" ID="lblProvision" Text="Whether regular statement for previous quarterly period submitted ?"></asp:Label>
                            
                            <telerik:RadComboBox Style="width: 50px;" ID="rcbProvision" runat="server" AutoPostBack="false"
                                OnClientSelectedIndexChanged="ShowProvisionNo">
                                <Items>
                                    <telerik:RadComboBoxItem Text="Please select" Value="0" />
                                    <telerik:RadComboBoxItem Text="Yes" Value="Y" />
                                    <telerik:RadComboBoxItem Text="No" Value="N" />
                                </Items>
                            </telerik:RadComboBox>
                        </td>
                    </tr>
                    <tr class="ProvisionalNo">
                        <td colspan="2">
                            <asp:Label ID="lblProvisionNo" runat="server" Text="Provisional Receipt No. for Previous quarterly return"></asp:Label>
                       
                            <asp:TextBox ID="txtProvision" runat="server" MaxLength="15"></asp:TextBox>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2">
                            <asp:Label ID="lblQuarterDetails" runat="server"></asp:Label>
                        </td>
                    </tr>
                </table>
            </div>
            <asp:Panel runat="server" ID="Panel2">
            <table>
                <tr>
                    <td>
                     <a id="dwnldXml" Visible="false" runat="server">Download XML File</a>
                        <asp:LinkButton Visible="false" ID="btnDownload"  runat="server" Text="Download XML File" OnClick="btnDownload_Click" />
                    </td>
                </tr>
                <tr>
                    <td>
                    <a id="lnkRPU" runat="server">Download Return Preparation Utility</a>
                        <%--<asp:LinkButton ID="btnDownloadRPU" Visible="false" runat="server" Text="Download Return Preparation Utility" OnClick="btnDownloadRPU_Click" />--%>
                    </td>
                </tr>
            </table>
        </asp:Panel>
            <asp:Panel ID="pnlButton" runat="server" Style="margin-top: 10px">
                <hlp:IconButton ID="btnSubmit" runat="server" OnClick="btnSubmit_Click" Text="Save File"
                    Width="80px" SkinID="Submit" />
                <hlp:IconButton ID="btnCancel" OnClientClick="MDI.Close();return false;" runat="server"
                    SkinID="Cancel" Text="Cancel" Width="80px" />
                <asp:Button ID="Button1" runat="server" Text="Button" Style="display: none" OnClick="Button1_Click" />
            </asp:Panel>
        </ContentTemplate>
    </asp:UpdatePanel>
    <style type="text/css">
        .RadCalendarPopup
        {
            z-index: 500000 !important;
        }
    </style>

    <script>
        function pageLoad() {
            ShowProvisionNo1();
            ShowProvisionNo();
            
        }
        function ShowProvisionNo() {

            var check = $find("<%= rcbProvision.ClientID %>").get_value();
            var selVal = $find("<%= ddlQuarter.ClientID %>").get_value();
            if (check == "Y")
                $(".ProvisionalNo").show();
            else
                $(".ProvisionalNo").hide();
            if (selVal != "0")
                $(".chkProvision").show();
            else
                $(".chkProvision").hide();
        }

        function OnClientSelectedIndexChanged(sender, eventArgs) {

            ShowProvisionNo1();
        }

        function ShowProvisionNo1() {
            var provisionaNo = $find("ctl00_ContentPlaceHolder1_ddlQuarter").get_selectedItem().get_attributes().getAttribute("ProvisionalNo");
            $("#ctl00_ContentPlaceHolder1_txtProvision").val(provisionaNo);
            var cbo = $find("<%= rcbProvision.ClientID %>");
            var Yesitem = cbo.findItemByValue("Y");
            var Noitem = cbo.findItemByValue("N");
            if (provisionaNo != "")
                Yesitem.select(true)
            else
                Noitem.select(true)
            var check = $find("<%= rcbProvision.ClientID %>").get_value();
            var selVal = $find("<%= ddlQuarter.ClientID %>").get_value();
            if (check == "Y")
                $(".ProvisionalNo").show();
            else
                $(".ProvisionalNo").hide();
            if (selVal != "0")
                $(".chkProvision").show();
            else
                $(".chkProvision").hide();
        }
    </script>

</asp:Content>
